VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CViewContainerDropTarget Struct Reference
Inheritance diagram for CViewContainerDropTarget:

## Public Member Functions
| CViewContainerDropTarget (CViewContainer *container)
CPoint | getLocalPos (const CPoint &pos) const
DragOperation | onDragEnter (DragEventData data) final
| a drag enters the drop target More...
DragOperation | onDragMove (DragEventData data) final
| a drag moves over the drop target More...
void | onDragLeave (DragEventData data) final
| a drag leaves the drop target More...
bool | onDrop (DragEventData data) final
| a drop happens on the drop target More...
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | beforeDelete ()

## Public Attributes
CViewContainer * | container
SharedPointer< IDropTarget > | dropTarget
SharedPointer< CView > | currentDragView

## Constructor & Destructor Documentation

CViewContainerDropTarget | ( | CViewContainer * | container | ) |
| inline

## Member Function Documentation

CPoint getLocalPos | ( | const CPoint & | pos | ) | const
| inline

DragOperation onDragEnter | ( | DragEventData | data | ) |
| inline final virtual

a drag enters the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

void onDragLeave | ( | DragEventData | data | ) |
| inline final virtual

a drag leaves the drop target

Parameters

  data | drag event data

Implements IDropTarget.

DragOperation onDragMove | ( | DragEventData | data | ) |
| inline final virtual

a drag moves over the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

bool onDrop | ( | DragEventData | data | ) |
| inline final virtual

a drop happens on the drop target

Parameters

  data | drag event data

Implements IDropTarget.

## Member Data Documentation

CViewContainer* container

SharedPointer<CView> currentDragView

SharedPointer<IDropTarget> dropTarget

The documentation for this struct was generated from the following file:

- cviewcontainer.cpp